import { LoggerProps, LogContext, Message } from '../types';
import { ActionType } from '../actions/actions';
declare class Logger {
    private adapters;
    constructor(props: LoggerProps);
    info(action: ActionType, message: Message, requestContext?: LogContext): void;
    error(action: ActionType, message: Message, requestContext?: LogContext): void;
    warn(action: ActionType, message: Message, requestContext?: LogContext): void;
    debug(action: ActionType, message: Message, requestContext?: LogContext): void;
    private getLogLevel;
    private sendLog;
}
export { Logger };
