"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Action;
(function (Action) {
    Action["PRODUCT_DETAIL_API_PRODUCT_DESCRIPTION"] = "PRODUCT_DETAIL_API_PRODUCT_DESCRIPTION";
    Action["PRODUCT_DETAIL_API_PRODUCT_CONTENTS"] = "PRODUCT_DETAIL_API_PRODUCT_CONTENTS";
    Action["REVIEW_API_PRODUCT_REVIEWS"] = "REVIEW_API_PRODUCT_REVIEWS";
    Action["REVIEW_API_REPORT_ABUSE"] = "REVIEW_API_REPORT_ABUSE";
    Action["REVIEW_LIKE_API_REVIEWS_LIKE"] = "REVIEW_LIKE_API_REVIEWS_LIKE";
    Action["REVIEW_LIKE_API_ADD_REVIEW_LIKE"] = "REVIEW_LIKE_API_ADD_REVIEW_LIKE";
    Action["REVIEW_LIKE_API_REMOVE_REVIEW_LIKE"] = "REVIEW_LIKE_API_REMOVE_REVIEW_LIKE";
    Action["SEO_CONTENT_API_SEO_CONTENT_DISPLAY"] = "SEO_CONTENT_API_SEO_CONTENT_DISPLAY";
    Action["CONTENT_API_TOPICS"] = "CONTENT_API_TOPICS";
    Action["CONTENT_API_QUESTIONS"] = "CONTENT_API_QUESTIONS";
    Action["CONTENT_API_SUPPORTS"] = "CONTENT_API_SUPPORTS";
    Action["CONTENT_API_SUGGESTIONS"] = "CONTENT_API_SUGGESTIONS";
    Action["BROWSING_HISTORY_API_USER_HISTORIES"] = "BROWSING_HISTORY_API_USER_HISTORIES";
    Action["PRODUCT_SEARCH_API_RESOLVED_QUERIES"] = "PRODUCT_SEARCH_API_RESOLVED_QUERIES";
    Action["PRODUCT_SEARCH_API_AGGREGATIONS"] = "PRODUCT_SEARCH_API_AGGREGATIONS";
    Action["PRODUCT_SEARCH_API_CAMPAIGNS"] = "PRODUCT_SEARCH_API_CAMPAIGNS";
    Action["SEARCH_API_SEARCH"] = "SEARCH_API_SEARCH";
    Action["SIDE_MENU_JSON_PATH"] = "SIDE_MENU_JSON_PATH";
    Action["CATALOG_API_SIZE_CHART"] = "CATALOG_API_SIZE_CHART";
    Action["SEARCH_API_PRODUCT_GROUPS"] = "SEARCH_API_PRODUCT_GROUPS";
    Action["SEARCH_API_GET_AGGREGATIONS"] = "SEARCH_API_GET_AGGREGATIONS";
    Action["ADDRESS_API_COUNTRY"] = "ADDRESS_API_COUNTRY";
    Action["ADDRESS_API_CITIES"] = "ADDRESS_API_CITIES";
    Action["MOBILE_SERVICE_LOGOUT"] = "MOBILE_SERVICE_LOGOUT";
    Action["MOBILE_SERVICE_ADD_TO_BASKET"] = "MOBILE_SERVICE_ADD_TO_BASKET";
    Action["MOBILE_SERVICE_GET_BASKET"] = "MOBILE_SERVICE_GET_BASKET";
    Action["MOBILE_SERVICE_REMOVE_BASKET"] = "MOBILE_SERVICE_REMOVE_BASKET";
    Action["MOBILE_SERVICE_UPDATE_BASKET"] = "MOBILE_SERVICE_UPDATE_BASKET";
    Action["MOBILE_SERVICE_GET_BASKET_ITEM_COUNT"] = "MOBILE_SERVICE_GET_BASKET_ITEM_COUNT";
    Action["COUPON_API_GET_COUPONS"] = "COUPON_API_GET_COUPONS";
    Action["MOBILE_SERVICE_GET_EXPIRED_BASKET"] = "MOBILE_SERVICE_GET_EXPIRED_BASKET";
    Action["MOBILE_SERVICE_CHECKOUT_USE_CAMPAIGN"] = "MOBILE_SERVICE_CHECKOUT_USE_CAMPAIGN";
    Action["MOBILE_SERVICE_CHECKOUT_USE_COUPON"] = "MOBILE_SERVICE_CHECKOUT_USE_COUPON";
    Action["MOBILE_SERVICE_CHECKOUT_REMOVE_COUPON"] = "MOBILE_SERVICE_CHECKOUT_REMOVE_COUPON";
    Action["MOBILE_SERVICE_CHECKOUT_REMOVE_CAMPAIGN"] = "MOBILE_SERVICE_CHECKOUT_REMOVE_CAMPAIGN";
    Action["MOBILE_SERVICE_GET_ALTERNATIVE_PAYMENT_COUNTRIES"] = "MOBILE_SERVICE_GET_ALTERNATIVE_PAYMENT_COUNTRIES";
    Action["MOBILE_SERVICE_CHECKOUT_PROCESS_ORDER"] = "MOBILE_SERVICE_CHECKOUT_PROCESS_ORDER";
    Action["FAVORITE_PRODUCT_API_GET_FAVORITES"] = "FAVORITE_PRODUCT_API_GET_FAVORITES";
    Action["FAVORITE_PRODUCT_API_POST_FAVORITE"] = "FAVORITE_PRODUCT_API_POST_FAVORITE";
    Action["FAVORITE_PRODUCT_API_DELETE_FAVORITE"] = "FAVORITE_PRODUCT_API_DELETE_FAVORITE";
    Action["FAVORITE_API_LIST_BY_BOUTIQUE_ID"] = "FAVORITE_API_LIST_BY_BOUTIQUE_ID";
    Action["FAVORITE_API_LIST_BY_BOUTIQUE_ID_LIST"] = "FAVORITE_API_LIST_BY_BOUTIQUE_ID_LIST";
    Action["FAVORITE_API_ADD_FAVORITE"] = "FAVORITE_API_ADD_FAVORITE";
    Action["FAVORITE_API_DELETE_FAVORITE"] = "FAVORITE_API_DELETE_FAVORITE";
    Action["FAVORITE_API_IS_FAVORITE"] = "FAVORITE_API_IS_FAVORITE";
    Action["ORDER_API_CORE_ORDERS"] = "ORDER_API_CORE_ORDERS";
    Action["AUTHORIZATION_API_TOKENS_VALIDATE"] = "AUTHORIZATION_API_TOKENS_VALIDATE";
    Action["USER_API_GET_USER"] = "USER_API_GET_USER";
    Action["USER_ACCOUNT_API_GET_USER_ADDRESSES"] = "USER_ACCOUNT_API_GET_USER_ADDRESSES";
    Action["USER_ACCOUNT_API_DELETE_USER_ADDRESS"] = "USER_ACCOUNT_API_DELETE_USER_ADDRESS";
    Action["USER_ACCOUNT_API_ADD_USER_ADDRESS"] = "USER_ACCOUNT_API_ADD_USER_ADDRESS";
    Action["USER_ACCOUNT_API_UPDATE_USER_ADDRESS"] = "USER_ACCOUNT_API_UPDATE_USER_ADDRESS";
    Action["SUGGESTION_API_SUGGESTIONS"] = "SUGGESTION_API_SUGGESTIONS";
    Action["PRODUCT_RECOMMENDATION_API_CROSS_CATEGORY"] = "PRODUCT_RECOMMENDATION_API_CROSS_CATEGORY";
    Action["PRODUCT_RECOMMENDATION_API_PRODUCT_RECOMMENDATION"] = "PRODUCT_RECOMMENDATION_API_PRODUCT_RECOMMENDATION";
    Action["CUSTOM"] = "CUSTOM";
    Action["CAMPAIGN_DETAIL_API_CAMPAIGNS"] = "CAMPAIGN_DETAIL_API_CAMPAIGNS";
    Action["CAMPAIGN_SEARCH_API_CAMPAIGNS"] = "CAMPAIGN_SEARCH_API_CAMPAIGNS";
    Action["CAMPAIGN_SEARCH_API_CAMPAIGN_TYPES"] = "CAMPAIGN_SEARCH_API_CAMPAIGN_TYPES";
    Action["CATALOG_API_BRAND_CATEGORY"] = "CATALOG_API_BRAND_CATEGORY";
    Action["CATALOG_API_PRODUCT_DETAIL"] = "CATALOG_API_PRODUCT_DETAIL";
    Action["PRODUCT_SEARCH_API_PRODUCT_CONTENTS"] = "PRODUCT_SEARCH_API_PRODUCT_CONTENTS";
    Action["PRODUCT_SEARCH_API_PRODUCTS"] = "PRODUCT_SEARCH_API_PRODUCTS";
    Action["PRODUCT_SHARE_API_SHARE"] = "PRODUCT_SHARE_API_SHARE";
    Action["CONTRACT_API_URL_CONTRACTS"] = "CONTRACT_API_URL_CONTRACTS";
    Action["CONTENT_API_CONTRACTS"] = "CONTENT_API_CONTRACTS";
    Action["CHECKOUT_API_GET_SUMMARY"] = "CHECKOUT_API_GET_SUMMARY";
    Action["CONTRACT_API_GET_SALES_CONTRACTS"] = "CONTRACT_API_GET_SALES_CONTRACTS";
    Action["COLLECTION_API_GET_COLLECTION"] = "COLLECTION_API_GET_COLLECTION";
    Action["COLLECTION_API_GET_FAVORITE"] = "COLLECTION_API_GET_FAVORITE";
    Action["COLLECTION_API_ADD_FAVORITE"] = "COLLECTION_API_ADD_FAVORITE";
    Action["COLLECTION_API_REMOVE_FAVORITE"] = "COLLECTION_API_REMOVE_FAVORITE";
    Action["COLLECTION_API_GET_RECENTLY_ADDED"] = "COLLECTION_API_GET_RECENTLY_ADDED";
    Action["SELLER_REVIEW_API_GET_APPLICABLE_DELIVERIES"] = "SELLER_REVIEW_API_GET_APPLICABLE_DELIVERIES";
    Action["SELLER_REVIEW_API_ADD_REVIEW"] = "SELLER_REVIEW_API_ADD_REVIEW";
    Action["COUPON_API_V2_GET_COUPONS"] = "COUPON_API_V2_GET_COUPONS";
    Action["AUTHENTICATION_API_GET_ACCESS_TOKEN"] = "AUTHENTICATION_API_GET_ACCESS_TOKEN";
    Action["USER_API_CREATE_USER_WITH_ONLY_PASSWORD"] = "USER_API_CREATE_USER_WITH_ONLY_PASSWORD";
    Action["MOBILE_SERVICE_USER_API_GET_USER_NOTIFICATION_PREFERENCE"] = "MOBILE_SERVICE_USER_API_GET_USER_NOTIFICATION_PREFERENCE";
    Action["MOBILE_SERVICE_USER_API_UPDATE_USER_NOTIFICATION_PREFERENCE"] = "MOBILE_SERVICE_USER_API_UPDATE_USER_NOTIFICATION_PREFERENCE";
    Action["WEB_BRAND_CATEGORY_API"] = "WEB_BRAND_CATEGORY_API";
    Action["ORDER_CORE_API_ORDER_DETAIL"] = "ORDER_CORE_API_ORDER_DETAIL";
    Action["ORDER_CORE_API_ORDERS"] = "ORDER_CORE_API_ORDERS";
})(Action || (Action = {}));
exports.Action = Action;
