import { Adapter, AdapterLog, GraylogConfig } from '../types';
declare class GraylogAdapter implements Adapter {
    private config;
    private graylog;
    constructor(config: GraylogConfig);
    info(log: AdapterLog): void;
    error(log: AdapterLog): void;
    warn(log: AdapterLog): void;
    debug(log: AdapterLog): void;
    validate(): boolean;
    private static messageStringify;
    private setup;
}
export { GraylogAdapter };
